gzdeflate
gzeof
Zlib Functions
PHP Manual

# gzencode

(PHP 4 >= 4.0.4, PHP 5)

gzencode — Create a gzip compressed string

### Description

string gzencode ( string `$data` [, int `$level` = -1 [, int `$encoding_mode` = FORCE_GZIP ]] )

This function returns a compressed version of the input `data` compatible with the output of the gzip program.

For more information on the GZIP file format, see the document: » GZIP file format specification version 4.3 (RFC 1952).

### Parameters

`data`

  The data to encode.

`level`

  The level of compression. Can be given as 0 for no compression up to 9 for maximum compression. If not given, the default compression level will be the default compression level of the zlib library.

`encoding_mode`

  The encoding mode. Can be `FORCE_GZIP` (the default) or `FORCE_DEFLATE`.

  If you use `FORCE_DEFLATE`, you get a standard zlib deflated string (inclusive zlib headers) after the gzip file header but without the trailing crc32 checksum.

### Return Values

The encoded string, or `FALSE` if an error occurred.

### Changelog

Version | Description
--- | ---
4.2.0 | The `encoding_mode` parameter was added

### Examples

The resulting data contains the appropriate headers and data structure to make a standard .gz file, e.g.:

Example #1 Creating a gzip file

`<?php
$data = implode("", file("bigfile.txt"));
$gzdata = gzencode($data, 9);
$fp = fopen("bigfile.txt.gz", "w");
fwrite($fp, $gzdata);
fclose($fp);
?>`

### See Also

- gzdecode() - Decodes a gzip compressed string
- gzdeflate() - Deflate a string
- gzinflate() - Inflate a deflated string
- gzuncompress() - Uncompress a compressed string
- gzcompress() - Compress a string

gzdeflate
gzeof
Zlib Functions
PHP Manual